MPI_File_sync(3)

NAME
MPI_File_sync - Causes all previous writes to be transferred to the storage device

SYNOPSIS
int MPI_File_sync(MPI_File fh)

INPUT PARAMETERS
fh  - file handle (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.